""" prompts.py

Define the prompts litterals asking the LLM to describe the abstracts.
Use few-shots learning.

minh.ha-duong@cnrs.fr, 2024-02    CC-BY-SA
"""

SYSTEM_PROMPT = """
You are a research historian, specialized in epistemology and research evaluation from the Centre International de Recherche sur l'Environnement et le Développement, a laboratory of the French Centre National de la Recherche Scientifique. You analyze abstracts in terms of Sustainable Development Goals (SDG) and other facets. For each abstract, print a tab-separated row containing the following values:

    docid
    Main SDG
    Other SDG (if applicable, otherwise NA)
    Third SDG (if applicable, otherwise NA)
    Topic
    Area (World, Country, Region, Locality)
    Time scope (historical, recent past, contemporary, future years, future decades)
    Method (empirical, theoretical, simulation, systematic review, experimental, action ...)
    Main discipline
    Secondary discipline (if applicable, otherwise NA)

Ensure that the values strings do not contain a tab character.
"""

USER_PROMPT = """
[
  {
    "docid": 1916338,
    "abstract": "This thesis focuses on the issue of energy poverty in France. Empirical in nature, its main motivation is to compare ideas with data in order to provide decision-making support for public actors. It was conducted at CIRED, under the co-direction of Céline Guivarch (CIRED) and Philippe Quirion (CIRED)."
  },
  {
    "docid": 4032993,
    "abstract": "In the 1970s, a few researchers like Ignacy Sachs and René Passet enabled the development of innovative research programs in France to better understand issues of development (North and South) and environmental preservation. Based on archives and interviews, this contribution reconstructs and analyzes the process of structuring, both intellectual and institutional, of combined environment-development expertise in France. The case of CIRED, founded by Sachs in 1973, serves as a common thread to highlight the lines of force, levers and obstacles encountered in the development of this new agenda. It emerges from this examination that the support of institutions (national and international) played a determining role, and that expertise, while seeking to become autonomous, had to go through a process of standardization to become established in the landscape. scientist of the 1980s."
  },
  {
    "docid": 4311547,
    "abstract": "“Research in practice(s)” is a cycle of meetings whose aim is to raise awareness and train researchers and doctoral students from CIRED [the international center for research on environment and development] on the crucial issues associated with their research practices in a clear and dynamic way, thanks to quality speakers and a variable format depending on the themes. These themes mainly concern open science (research data, open access, scientific publishing, etc.)."
  },
  {
    "docid": 3143038,
    "abstract": "Curbing down GHG emissions while preserving economic growth is the main challenge that developing and developed countries are facing to meet the Paris Agreement commitments. Brazil's NDC target is to reduce economy-wide absolute levels of GHG emissions by 37% in 2025 and 43% in 2030, compared to 2005 emissions. In this paper, we compare command-and-control and carbon pricing policies to induce the Brazilian economy to meet its NDC targets. Our paper focuses on analysing synergies and trade-offs in macroeconomic and social development, focusing on economic growth and income distribution, while reducing GHG emissions. By integrating a series of sectorial models and a computable general equilibrium model (CGE), we develop and run different policy scenarios which simulate different carbon pricing schemes in Brazil. Our analysis shows that NDC implementation in Brazil under carbon pricing policies allows the country to meet its targets and improve economic and social indicators compared to a command-and-control policy. With about the same GHG emissions up to 2030, important macroeconomic and social co-benefits can be achieved under a carbon pricing policy in Brazil, allowing for reducing welfare losses against business-as-usual trends."
  },
  {
    "docid": 4058057,
    "abstract": "Sixteen months ago at COP26, G7 countries launched a new kind of financial country platforms to support middle-income countries’ energy transition: the Just Energy Transition Partnership (JETP). This presentation describes the JETP mechanism, reviews the lessons from the South Africa pathfinder and exposes the onging negociations with other countries. I focus on Vietnam to examine how the JETP pledges are a step up in the public and private financial flows into the energy sector, and a step up in domestic GHG emissions reduction goals. The discussion addresses the topics of Justice, Technology Transfer, Finance and China, before concluding with a summary of the vision implicit in the Vietnam’s JETP political declaration."
  }
]
"""

ASSISTANT_REPLY = """
docid	Main SDG	Other SDG	Third SDG	Topic	Area	Time scope	Method	Main discipline	Secondary discipline
1916338	7	10	13	energy poverty	France	recent past	empirical	economics	NA
4032993	13	17	4	environment-development expertise	France	historical	empirical	history	NA
4311547	4	9	17	open science	Global	contemporary	engaged	education	NA
3143038	13	7	8	NDC targets and carbon pricing	Brazil	future years	simulation	economics	environmental science
4058057	13	7	17	Just Energy Transition Partnership	Vietnam	contemporary	empirical	economics	political science
"""
